Toolkits
Get toolkit by slug
Retrieves comprehensive information about a specific toolkit using its unique slug identifier. This endpoint provides detailed metadata, authentication configuration options, and feature counts for the requested toolkit.
GET
/
api
/
v3.1
/
toolkits
/
{slug}
Get toolkit by slug
import requests
url = "https://backend.composio.dev/api/v3.1/toolkits/{slug}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3.1/toolkits/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3.1/toolkits/{slug} \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/toolkits/{slug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3.1/toolkits/{slug}")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/toolkits/{slug}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"slug": "github",
"name": "GitHub",
"type": "native",
"enabled": true,
"composio_managed_auth": [
{
"mode": "OAUTH2",
"scopes": {
"available": [
"read",
"write"
]
},
"user_scopes": {
"available": [
"search:read",
"users:read"
]
}
}
],
"is_local_toolkit": false,
"meta": {
"created_at": "2023-01-15T09:30:00.000Z",
"updated_at": "2023-05-20T14:45:00.000Z",
"description": "Integrate with GitHub repositories, issues, pull requests, and more.",
"logo": "https://assets.composio.dev/logos/github.png",
"categories": [
{
"name": "Developer Tools",
"slug": "developer-tools"
},
{
"name": "Productivity",
"slug": "productivity"
}
],
"triggers_count": 5,
"tools_count": 12,
"version": "20250905_00",
"available_versions": [
"20250905_00",
"20250906_00"
],
"app_url": "https://github.com"
},
"deprecated": {
"toolkitId": "<string>",
"rawProxyInfoByAuthSchemes": [
{}
],
"getCurrentUserEndpoint": "<string>"
},
"access": "all",
"composio_managed_auth_schemes": [
"oauth2"
],
"auth_config_details": [
{
"mode": "oauth2",
"required_scopes": [
"offline_access",
"User.Read"
],
"fields": {
"auth_config_creation": {
"required": [
{
"name": "<string>",
"displayName": "<string>",
"type": "<string>",
"description": "<string>",
"required": true,
"user_visible": true,
"default": "<string>",
"is_secret": true,
"legacy_template_name": "<string>"
}
],
"optional": [
{
"name": "<string>",
"displayName": "<string>",
"type": "<string>",
"description": "<string>",
"required": true,
"user_visible": true,
"default": "<string>",
"is_secret": true,
"legacy_template_name": "<string>"
}
]
},
"connected_account_initiation": {
"required": [
{
"name": "<string>",
"displayName": "<string>",
"type": "<string>",
"description": "<string>",
"required": true,
"user_visible": true,
"default": "<string>",
"is_secret": true,
"legacy_template_name": "<string>"
}
],
"optional": [
{
"name": "<string>",
"displayName": "<string>",
"type": "<string>",
"description": "<string>",
"required": true,
"user_visible": true,
"default": "<string>",
"is_secret": true,
"legacy_template_name": "<string>"
}
]
}
},
"name": "OAuth 2.0",
"proxy": {
"base_url": "https://auth.example.com/proxy"
},
"auth_hint_url": "https://github.com/settings/tokens",
"deprecated_auth_provider_details": {
"authorization_url": "<string>",
"token_url": "<string>"
}
}
],
"auth_guide_url": "https://composio.dev/auth/github",
"base_url": "https://api.github.com",
"get_current_user_endpoint": "<string>",
"get_current_user_endpoint_method": "GET"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}Authorizations
ApiKeyAuthUserApiKeyAuth
Path Parameters
Response
Successfully retrieved detailed information about the requested toolkit, including authentication options, metadata, and feature counts.
Detailed information about a single toolkit
Get toolkit by slug
import requests
url = "https://backend.composio.dev/api/v3.1/toolkits/{slug}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3.1/toolkits/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3.1/toolkits/{slug} \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/toolkits/{slug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3.1/toolkits/{slug}")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/toolkits/{slug}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"slug": "github",
"name": "GitHub",
"type": "native",
"enabled": true,
"composio_managed_auth": [
{
"mode": "OAUTH2",
"scopes": {
"available": [
"read",
"write"
]
},
"user_scopes": {
"available": [
"search:read",
"users:read"
]
}
}
],
"is_local_toolkit": false,
"meta": {
"created_at": "2023-01-15T09:30:00.000Z",
"updated_at": "2023-05-20T14:45:00.000Z",
"description": "Integrate with GitHub repositories, issues, pull requests, and more.",
"logo": "https://assets.composio.dev/logos/github.png",
"categories": [
{
"name": "Developer Tools",
"slug": "developer-tools"
},
{
"name": "Productivity",
"slug": "productivity"
}
],
"triggers_count": 5,
"tools_count": 12,
"version": "20250905_00",
"available_versions": [
"20250905_00",
"20250906_00"
],
"app_url": "https://github.com"
},
"deprecated": {
"toolkitId": "<string>",
"rawProxyInfoByAuthSchemes": [
{}
],
"getCurrentUserEndpoint": "<string>"
},
"access": "all",
"composio_managed_auth_schemes": [
"oauth2"
],
"auth_config_details": [
{
"mode": "oauth2",
"required_scopes": [
"offline_access",
"User.Read"
],
"fields": {
"auth_config_creation": {
"required": [
{
"name": "<string>",
"displayName": "<string>",
"type": "<string>",
"description": "<string>",
"required": true,
"user_visible": true,
"default": "<string>",
"is_secret": true,
"legacy_template_name": "<string>"
}
],
"optional": [
{
"name": "<string>",
"displayName": "<string>",
"type": "<string>",
"description": "<string>",
"required": true,
"user_visible": true,
"default": "<string>",
"is_secret": true,
"legacy_template_name": "<string>"
}
]
},
"connected_account_initiation": {
"required": [
{
"name": "<string>",
"displayName": "<string>",
"type": "<string>",
"description": "<string>",
"required": true,
"user_visible": true,
"default": "<string>",
"is_secret": true,
"legacy_template_name": "<string>"
}
],
"optional": [
{
"name": "<string>",
"displayName": "<string>",
"type": "<string>",
"description": "<string>",
"required": true,
"user_visible": true,
"default": "<string>",
"is_secret": true,
"legacy_template_name": "<string>"
}
]
}
},
"name": "OAuth 2.0",
"proxy": {
"base_url": "https://auth.example.com/proxy"
},
"auth_hint_url": "https://github.com/settings/tokens",
"deprecated_auth_provider_details": {
"authorization_url": "<string>",
"token_url": "<string>"
}
}
],
"auth_guide_url": "https://composio.dev/auth/github",
"base_url": "https://api.github.com",
"get_current_user_endpoint": "<string>",
"get_current_user_endpoint_method": "GET"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}